%define pkgname xorg-server
%define cvsdate cvsYYYYMMDD
%define with_dmx_server 1
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	X.Org X11 X server
Name:      	xorg-x11-server
Version:   	1.4
Release:   	1
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/xserver/%{pkgname}-%{version}.tar.bz2
Source10:  	git-mesa-makefile-20070422.tar.bz2
Source100: 	comment-header-modefiles.txt

Patch0:    	xorg-x11-server-0.99.3-init-origins-fix.patch
Patch10:   	xorg-x11-server-1.1.1-vbe-filter-less.patch
Patch11:   	xorg-x11-server-1.1.1-vt-activate-is-a-terrible-api.patch

# OpenGL compositing manager feature/optimization patches.
Patch100:  	xorg-x11-server-1.1.0-no-move-damage.patch
Patch101:  	xorg-x11-server-1.1.0-dont-backfill-bg-none.patch
Patch106:  	xorg-x11-server-1.1.1-no-composite-in-xnest.patch
Patch107:  	xorg-x11-server-1.1.1-offscreen-pixmaps.patch

# Red Hat specific tweaking, not intended for upstream
# XXX move these to the end of the list
Patch1001:  	xorg-x11-server-Red-Hat-extramodes.patch
Patch1002:  	xorg-x11-server-1.1.0-redhat-xephyr-only-hack.patch
Patch1003:  	xorg-x11-server-1.0.1-fpic-libxf86config.patch

Patch1004:  xorg-x11-server-1.2.0-selinux-awareness.patch
Patch1005:  xorg-x11-server-1.1.1-builtin-fonts.patch
Patch1006:  xorg-x11-server-1.1.1-no-scanpci.patch
Patch1008:  xorg-x11-server-1.2.0-xf86config-comment-less.patch

Patch2001:  xserver-1.2.0-geode-mmx.patch
Patch2002:  xserver-1.2.0-xephyr-keysym-madness.patch
Patch2004:  xserver-1.2.0-honor-displaysize.patch

# autoconfiguration feature patches
Patch3012:      xorg-x11-server-1.1.1-always-mouse-thyself.patch
# make Make Xdmx and Xprint link with pixman/dbus
Patch4000:	xorg-x11-server-1.4-link.patch

%define moduledir	%{_libdir}/xorg/modules
%define drimoduledir	%{_libdir}/dri
%define sdkdir		%{_includedir}/xorg

%ifarch %{ix86} x86_64
%define xservers --enable-xorg --enable-dmx --enable-xvfb --enable-xnest --enable-kdrive --enable-xephyr
%define with_hw_servers 1
%define with_dmx_server 1
%endif

# NOTE: The developer utils are intended for low level video driver hackers,
# doing low level bit twiddling, who really know what they are doing, and are
# disabled by default, as they are not generally useful to end users.
# FIXME: Reconfigure the spec file to put them in a separate subpackage, so
# I can build one build with them enabled, install them, then disable it again.
%define with_developer_utils	0

%ifarch %{ix86} x86_64
%define with_dri	1
%endif

# FIXME: Temporary Build deps on autotools, as needed...
#BuildRequires: automake17
BuildRequires: 	automake
BuildRequires: 	autoconf
BuildRequires: 	libtool



BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-util-macros
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	xorg-x11-xtrans-devel
# FIXME: The version specification can be removed from here in the future,
# as it is not really mandatory, but forces a bugfix workaround on people who
# are using pre-rawhide modular X.
BuildRequires: 	libXfont-devel
BuildRequires: 	libXau-devel
BuildRequires: 	libxkbfile-devel
# libXres-devel needed for something that links to libXres that I never bothered to figure out yet
BuildRequires: 	libXres-devel
# libfontenc-devel needed for Xorg, but not specified by
# upstream deps.  Build fails without it.
BuildRequires: 	libfontenc-devel
# Required for Xtst examples
BuildRequires: 	libXtst-devel
# libXdmcp-devel needed for Xdmx, Xnest, Xephyr
BuildRequires: 	libXdmcp-devel
# libX11-devel needed for Xdmx, Xnest, Xephyr
BuildRequires: 	libX11-devel
# libXext-devel needed for Xdmx, Xnest, Xephyr
BuildRequires: 	libXext-devel
#
BuildRequires: 	freetype-devel
BuildRequires: 	zlib-devel
BuildRequires:  pixman-devel

# FIXME: libXt-devel should be wrapped in with_dmx_server - for Xdmxconfig,
# probably should only be needed for DMX builds, but the build explodes with
# a bogus configure check failure if this is missing.
BuildRequires: 	libXt-devel

BuildRequires:  libpthread-stubs

%if %{with_dmx_server}
# libdmx-devel needed for Xdmx
BuildRequires: 	libdmx-devel
# libXmu-devel needed for Xdmx
BuildRequires: 	libXmu-devel
# libXrender-devel needed for Xdmx
BuildRequires: 	libXrender-devel
# libXi-devel needed for Xdmx
BuildRequires: 	libXi-devel
BuildRequires: 	libXpm-devel
BuildRequires: 	libXaw-devel
%endif

# To query fontdir from fontutil.pc
BuildRequires: 	xorg-x11-font-utils
# Needed at least for DRI enabled builds
%if %{with_dri}
BuildRequires: 	mesa-libGL-devel
BuildRequires: 	mesa-source
BuildRequires: 	libdrm-devel
%endif

# Make sure we pull ABI compatible drivers.
Conflicts: xorg-x11-drv-ati < 6.6.1
Conflicts: xorg-x11-drv-i810 < 1.6.0

%description
X.Org X11 X server

# ----- Xorg --------------------------------------------------------
%if %{with_hw_servers}
%package Xorg
Summary: Xorg X server
Group: User Interface/X
# NOTE: The X server invokes xkbcomp directly, so this is required.
Requires: xkbcomp
# NOTE: The X server requires 'fixed' and 'cursor' font, which are provided
# by xorg-x11-fonts-base
Requires: xorg-x11-fonts-base
# NOTE: Require some basic drivers for minimal configuration. (#173060)
# We _should_ install every driver, but OLPC wants different (#191781),
# which is quite lame and wants an better solution.
Requires: xorg-x11-drv-mouse xorg-x11-drv-keyboard xorg-x11-drv-vesa
Requires: xorg-x11-drv-void xorg-x11-drv-evdev xorg-x11-drv-fbdev
Requires: xorg-x11-drv-nv xorg-x11-drv-ati
Requires: xorg-x11-xinit
#Requires: xorg-x11-drivers >= 0.99.2-4

# NOTE: We use implementation non-specific "xkbdata" here, to make it easy
# to switch to the freedesktop.org 'xkeyboard-config' project replacment
# in the future.
Requires: xkbdata
# FIXME: Investigate these two and see what utils are needed, and use virtuals
Requires: xorg-x11-server-utils
Requires: xorg-x11-utils
# FIXME: This Requires on libXfont can be removed from here in the future,
# as it is not really mandatory, but forces a bugfix workaround on people who
# are using pre-rawhide modular X.
Requires: libXfont

Obsoletes: XFree86 xorg xorg-devel xorg-static xorg-libs
# NOTE: This virtual provide should be used when one wants to depend on
# the implementation specific (and optionally version specific) Xorg X
# server, but in an OS packaging independent manner.  This futureproofs
# package dependencies against possible future Xorg package renaming.
Provides: Xorg = %{version}-%{release}
Provides: Xserver

%description Xorg
X.org X11 is an open source implementation of the X Window System.  It
provides the basic low level functionality which full fledged
graphical user interfaces (GUIs) such as GNOME and KDE are designed
upon.
%endif

# ----- Xnest -------------------------------------------------------
%package Xnest
Summary: A nested server.
Group: User Interface/X
#Requires: %{name} = %{version}-%{release}
Obsoletes: XFree86-Xnest, xorg-Xnest
# NOTE: This virtual provide should be used by packages which want to depend
# on an implementation nonspecific Xnest X server.  It is intentionally not
# versioned, since it should be agnostic.
Provides: Xnest

%description Xnest
Xnest is an X server, which has been implemented as an ordinary
X application.  It runs in a window just like other X applications,
but it is an X server itself in which you can run other software.  It
is a very useful tool for developers who wish to test their
applications without running them on their real X server.

# ----- Xdmx --------------------------------------------------------
%if %{with_dmx_server}
%package Xdmx
Summary: Distributed Multihead X Server and utilities
Group: User Interface/X
#Requires: %{name}-Xorg = %{version}-%{release}
Obsoletes: xorg-Xdmx
# NOTE: This virtual provide should be used by packages which want to depend
# on an implementation nonspecific Xdmx X server.  It is intentionally not
# versioned, since it should be agnostic.
Provides: Xdmx

%description Xdmx
Xdmx is proxy X server that provides multi-head support for multiple displays
attached to different machines (each of which is running a typical X server).
When Xinerama is used with Xdmx, the multiple displays on multiple machines
are presented to the user as a single unified screen.  A simple application
for Xdmx would be to provide multi-head support using two desktop machines,
each of which has a single display device attached to it.  A complex
application for Xdmx would be to unify a 4 by 4 grid of 1280x1024 displays
(each attached to one of 16 computers) into a unified 5120x4096 display.
%endif
# ----- Xvfb --------------------------------------------------------

%package Xvfb
Summary: A X Windows System virtual framebuffer X server.
Group: User Interface/X
Obsoletes: XFree86-Xvfb xorg-Xvfb
# NOTE: This virtual provide should be used by packages which want to depend
# on an implementation nonspecific Xvfb X server.  It is intentionally not
# versioned, since it should be agnostic.
Provides: Xvfb

%description Xvfb
Xvfb (X Virtual Frame Buffer) is an X server that is able to run on
machines with no display hardware and no physical input devices.
Xvfb simulates a dumb framebuffer using virtual memory.  Xvfb does
not open any devices, but behaves otherwise as an X display.  Xvfb
is normally used for testing servers.

# ----- Xephyr -------------------------------------------------------

%package Xephyr
Summary: A nested server.
Group: User Interface/X
#Requires: %{name} = %{version}-%{release}
# NOTE: This virtual provide should be used by packages which want to depend
# on an implementation nonspecific Xephyr X server.  It is intentionally not
# versioned, since it should be agnostic.
Provides: Xephyr

%description Xephyr
Xephyr is an X server, which has been implemented as an ordinary
X application.  It runs in a window just like other X applications,
but it is an X server itself in which you can run other software.  It
is a very useful tool for developers who wish to test their
applications without running them on their real X server.  Unlike
Xnest, Xephyr renders to an X image rather than relaying the
X protocol, and therefore supports the newer X extensions like
Render and Composite.

# ----- sdk ---------------------------------------------------------
%if %{with_hw_servers}
%package sdk
Summary: SDK for X server driver module development
Group: User Interface/X
Obsoletes: XFree86-sdk xorg-sdk
Requires: xorg-x11-util-macros
Requires: xorg-x11-proto-devel

Requires(pre): xorg-x11-filesystem >= 0.99.2-3

Provides: libxf86config-devel = %{version}-%{release}

%description sdk
The SDK package provides the developmental files which are necessary for
developing X server driver modules, and for compiling driver modules
outside of the standard X11 source code tree.  Developers writing video
drivers, input drivers, or other X modules should install this package.
%endif
# -------------------------------------------------------------------

%prep
%setup -q -n %{pkgname}-%{version}
#pushd GL
#tar jxvf %{SOURCE10}
#popd

#%patch0 -p0 -b .init-origins-fix
#%patch10 -p1 -b .vbe-filter
##%patch11 -p1 -b .vt-activate

#%patch100 -p0 -b .no-move-damage
##%patch101 -p0 -b .dont-backfill-bg-none
##%patch106 -p1 -b .no-xnest-composite
#%patch107 -p1 -b .offscreen-pixmaps

#%patch1001 -p1 -b .Red-Hat-extramodes
##%patch1002 -p1 -b .xephyr
##%patch1003 -p1 -b .fpic
##%patch1004 -p1 -b .selinux-awareness
##%patch1005 -p0 -b .builtin-fonts
#%patch1006 -p1 -b .no-scanpci
#%patch1008 -p1 -b .comment-less

##%patch2001 -p1 -b .geode-mmx
##%patch2002 -p1 -b .xephyr-keysym
##%patch2004 -p1 -b .displaysize

##%patch3005 -p1 -b .getconfig-pl-die-die-die
#%patch3012 -p1 -b .mouse-thyself
%patch4000 -p1 -b dbus

%build
#FONTDIR="${datadir}/X11/fonts"
#DEFAULT_FONT_PATH="${FONTDIR}/misc:unscaled,${FONTDIR}/TTF/,${FONTDIR}/OTF,${FONTDIR}/Type1/,${FONTDIR}/CID/,${FONTDIR}/100dpi:unscaled,${FONTDIR}/75dpi:unscaled"

#	--disable-dependency-tracking \
# also, --enable-kdrive just for Xephyr is overkill, should fix that upstream

aclocal ; libtoolize; autoreconf; automake --add-missing

%configure %{xservers} \
	--disable-xprint \
	--disable-static \
	--with-pic \
        --enable-aiglx \
	--enable-composite \
	--enable-xtrap \
	--enable-xcsecurity \
	--enable-xevie \
	--with-default-font-path="unix/:7100" \
	--with-module-dir=%{moduledir} \
	--with-os-name="CCux Linux" \
	--with-os-vendor="CCux Linux" \
	--with-builderstring="Build ID: %{name} %{version}-%{release}" \
	--with-xkb-output=%{_localstatedir}/lib/xkb \
	--with-rgb-path=%{_datadir}/X11/rgb \
	--disable-xorgcfg \
	--enable-install-libxf86config \
	--with-fontdir=%(pkg-config --variable=fontdir fontutil) \
%if %{with_dri}
	--enable-dri \
	--with-mesa-source=%{_datadir}/mesa/source \
	--with-dri-driver-path=%{drimoduledir} \
%else
	--disable-dri \
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT moduledir=%{moduledir}


%if %{with_hw_servers}
# FIXME: This should be done upstream, so it's one less thing to hack.
# Make these directories now so the Xorg package can own them.
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xorg/modules/{drivers,input}

# Install the vesamodes and extramodes files to let our install/config tools
# be able to parse the same modelist as the X server uses (rhpxl).
{
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/xorg
    for each in vesamodes extramodes ; do
        install -m 0644 %{SOURCE100} $RPM_BUILD_ROOT%{_datadir}/xorg/$each
        cat hw/xfree86/common/$each >> $RPM_BUILD_ROOT%{_datadir}/xorg/$each
        chmod 0444 $RPM_BUILD_ROOT%{_datadir}/xorg/$each
    done
}
%endif

# FIXME: Remove unwanted files/dirs
{
    rm -f $RPM_BUILD_ROOT%{_bindir}/xorgconfig
    rm -f $RPM_BUILD_ROOT%{_mandir}/man1/xorgconfig.1*
    rm -f $RPM_BUILD_ROOT%{_libdir}/X11/Cards
    rm -f $RPM_BUILD_ROOT%{_libdir}/X11/Options
    rm -f $RPM_BUILD_ROOT%{_libdir}/X11/getconfig/cfg.sample
    rm -f $RPM_BUILD_ROOT%{_libdir}/X11/getconfig/xorg.cfg
#    rm -f $RPM_BUILD_ROOT%{_bindir}/getconfig
#    rm -f $RPM_BUILD_ROOT%{_bindir}/getconfig.pl
%if ! %{with_developer_utils}
    rm -f $RPM_BUILD_ROOT%{_bindir}/inb
    rm -f $RPM_BUILD_ROOT%{_bindir}/inl
    rm -f $RPM_BUILD_ROOT%{_bindir}/inw
    rm -f $RPM_BUILD_ROOT%{_bindir}/ioport
    rm -f $RPM_BUILD_ROOT%{_bindir}/outb
    rm -f $RPM_BUILD_ROOT%{_bindir}/outl
    rm -f $RPM_BUILD_ROOT%{_bindir}/outw
    rm -f $RPM_BUILD_ROOT%{_bindir}/pcitweak
#    rm -f $RPM_BUILD_ROOT%{_mandir}/man1/pcitweak.1*
%endif
#    rm -f $RPM_BUILD_ROOT%{_mandir}/man1/getconfig.1x*
#    rm -f $RPM_BUILD_ROOT%{_mandir}/man5/getconfig.5x*
    # Remove all libtool archives (*.la)
    find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :
}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with_hw_servers}
%pre Xorg
{
  # Install/Upgrade section
  pushd /etc/X11
  # Migrate any pre-existing XFree86 4.x config file to xorg.conf if it
  # doesn't already exist, and rename any remaining XFree86 4.x config files
  # to have .obsoleted file extensions, to help avoid end user confusion for
  # people unaware of the config file name change between server
  # implementations, and avoid bug reports.  If this turns out to confuse
  # users, I can modify it to add comments to the top of the obsoleted files
  # to point users to xorg.conf   <mharris@redhat.com>
  for configfile in XF86Config XF86Config-4 ; do
    if [ -r $configfile ]; then
      if [ -r xorg.conf ]; then
        mv -f $configfile $configfile.obsoleted
    else
        mv -f $configfile xorg.conf
      fi
    fi
  done
  # Massage pre-existing config files to work properly with X.org X11
  # - Remove xie and pex5 modules from the config files, as they are long
  #   since obsolete, and not provided since XFree86 4.2.0
  # - Remove Option "XkbRules" "xfree86" to help work around upgrade problems
  #   such as https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=120858
#  for configfile in xorg.conf ; do
    configfile="xorg.conf"
    OLD_MODULEPATH="/usr/X11R6/lib/modules"
    OLD_FONTPATH="/usr/X11R6/lib/X11/fonts"
    NEW_FONTPATH="/usr/share/X11/fonts"
    if [ -r $configfile -a -w $configfile ]; then
      # Remove module load lines from the config file for obsolete modules
      perl -p -i -e 's/^.*Load.*"(pex5|xie|xtt).*\n$"//gi' $configfile
      # Change the keyboard configuration from the deprecated "keyboard"
      # driver, to the newer "kbd" driver.
      perl -p -i -e 's/^\s*Driver(.*)"keyboard"/Driver\1"kbd"/gi' $configfile
      # Remove any Options "XkbRules" lines that may be present
      perl -p -i -e 's/^.*Option.*"XkbRules".*"(xfree86|xorg)".*\n$//gi' $configfile
      # Remove RgbPath specifications from the config file as they are
      # unnecessary, and break upgrades from monolithic to modular X.
      # Fixes bugs (#173036, 173435, 173453, 173428)
      perl -p -i -e 's#^\s*RgbPath.*$##gi' $configfile
      # If ModulePath is specified in the config file, check for the old
      # monolithic module path, and replace it with the new one.
      perl -p -i -e "m,^\s*ModulePath.*\"${OLD_MODULEPATH}\".*$,; s,${OLD_MODULEPATH},%{moduledir}," $configfile
      # If old Fontpath is there, replace it with the new one
      perl -p -i -e "m,^\s*FontPath.*\"${OLD_FONTPATH}\".*$,; s,${OLD_FONTPATH},${NEW_FONTPATH}," $configfile
    fi
#  done
  popd
} &> /dev/null || :
%endif

# ----- Xorg --------------------------------------------------------

%if %{with_hw_servers}
%files Xorg
%defattr(-,root,root,-)
# FIXME: The build fails to find the Changelog for some reason.
#%doc ChangeLog
%{_bindir}/X
%{_bindir}/Xati
%{_bindir}/Xchips
%{_bindir}/Xepson
%{_bindir}/Xfbdev
%{_bindir}/Xi810
%{_bindir}/Xmach64
%{_bindir}/Xmga
%{_bindir}/Xnvidia
%{_bindir}/Xpm2
%{_bindir}/Xr128
%{_bindir}/Xsdl
%{_bindir}/Xsmi
%{_bindir}/Xvesa
%{_bindir}/Xvia
%attr(4711, root, root) %{_bindir}/Xorg
#%{_bindir}/getconfig
#%{_bindir}/getconfig.pl
%{_bindir}/gtf
%{_bindir}/cvt
%if %{with_developer_utils}
%{_bindir}/inb
%{_bindir}/inl
%{_bindir}/inw
%{_bindir}/ioport
%{_bindir}/outb
%{_bindir}/outl
%{_bindir}/outw
%{_bindir}/pcitweak
%endif
%{_bindir}/scanpci
%dir %{_datadir}/xorg
%{_datadir}/xorg/vesamodes
%{_datadir}/xorg/extramodes
%dir %{_libdir}/xorg
%dir %{_libdir}/xorg/modules
%{_libdir}/xorg/modules/libscanpci.so
%{_libdir}/xorg/modules/libwfb.so
%dir %{_libdir}/xorg/modules/drivers
%dir %{_libdir}/xorg/modules/extensions
%if %{with_dri}
%{_libdir}/xorg/modules/extensions/libGLcore.so
%{_libdir}/xorg/modules/extensions/libdri.so
%{_libdir}/xorg/modules/extensions/libglx.so
%endif
%{_libdir}/xorg/modules/extensions/libdbe.so
%{_libdir}/xorg/modules/extensions/libextmod.so
%{_libdir}/xorg/modules/extensions/librecord.so
%{_libdir}/xorg/modules/extensions/libxtrap.so
%dir %{_libdir}/xorg/modules/input
%dir %{_libdir}/xorg/modules/fonts
#%{_libdir}/xorg/modules/fonts/libbitmap.so
%{_libdir}/xorg/modules/fonts/libfreetype.so
%{_libdir}/xorg/modules/fonts/libtype1.so
%dir %{_libdir}/xorg/modules/linux
%if %{with_dri}
#%{_libdir}/xorg/modules/linux/libdrm.so
%endif
%{_libdir}/xorg/modules/linux/libfbdevhw.so
%dir %{_libdir}/xorg/modules/multimedia
%{_libdir}/xorg/modules/multimedia/bt829_drv.so
%{_libdir}/xorg/modules/multimedia/fi1236_drv.so
%{_libdir}/xorg/modules/multimedia/msp3430_drv.so
%{_libdir}/xorg/modules/multimedia/tda8425_drv.so
%{_libdir}/xorg/modules/multimedia/tda9850_drv.so
%{_libdir}/xorg/modules/multimedia/tda9885_drv.so
%{_libdir}/xorg/modules/multimedia/uda1380_drv.so
%{_libdir}/xorg/modules/libafb.so
%{_libdir}/xorg/modules/libcfb.so
#%{_libdir}/xorg/modules/libcfb16.so
%{_libdir}/xorg/modules/libcfb32.so
#%{_libdir}/xorg/modules/libddc.so
%{_libdir}/xorg/modules/libexa.so
%{_libdir}/xorg/modules/libfb.so
#%{_libdir}/xorg/modules/libi2c.so
%{_libdir}/xorg/modules/libint10.so
%{_libdir}/xorg/modules/libmfb.so
%{_libdir}/xorg/modules/libpcidata.so
#%{_libdir}/xorg/modules/librac.so
#%{_libdir}/xorg/modules/libramdac.so
#%{_libdir}/xorg/modules/libscanpci.so
%{_libdir}/xorg/modules/libshadow.so
%{_libdir}/xorg/modules/libshadowfb.so
%{_libdir}/xorg/modules/libvbe.so
%{_libdir}/xorg/modules/libvgahw.so
%{_libdir}/xorg/modules/libxaa.so
%{_libdir}/xorg/modules/libxf1bpp.so
%{_libdir}/xorg/modules/libxf4bpp.so
%{_libdir}/xorg/modules/libxf8_16bpp.so
%{_libdir}/xorg/modules/libxf8_32bpp.so
%dir %{_libdir}/xserver
%{_libdir}/xserver/SecurityPolicy
#%dir %{_mandir}/man1x
#%{_mandir}/man1/getconfig.*
%{_mandir}/man1/gtf.*
%{_mandir}/man1/pcitweak.*
#%{_mandir}/man1/scanpci.*
%{_mandir}/man1/Xorg.*
%{_mandir}/man1/Xserver.*
%{_mandir}/man1/cvt.*
#%dir %{_mandir}/man4x
%{_mandir}/man4/exa*
%{_mandir}/man4/fbdevhw.4*
#%dir %{_mandir}/man5x
#%{_mandir}/man5/getconfig.
%{_mandir}/man5/xorg.conf.*
%{_mandir}/man5/SecurityPolicy.5.gz

%dir %{_localstatedir}/lib/xkb
%{_localstatedir}/lib/xkb/README.compiled
%endif

# ----- Xnest -------------------------------------------------------

%files Xnest
%defattr(-,root,root,-)
%{_bindir}/Xnest
#%dir %{_mandir}/man1x
%{_mandir}/man1/Xnest.*
# NOTE: Xserver.1x intentionally present in multiple subpackages
%{_mandir}/man1/Xserver.*

# ----- Xdmx --------------------------------------------------------

%if %{with_dmx_server}
%files Xdmx
%defattr(-,root,root,-)
%{_bindir}/Xdmx
%{_bindir}/dmxaddinput
%{_bindir}/dmxaddscreen
%{_bindir}/dmxreconfig
%{_bindir}/dmxresize
%{_bindir}/dmxrminput
%{_bindir}/dmxrmscreen
%{_bindir}/dmxtodmx
%{_bindir}/dmxwininfo
%{_bindir}/vdltodmx
%{_bindir}/xdmx
%{_bindir}/xdmxconfig
#%dir %{_mandir}/man1x

# NOTE: Xserver.1x intentionally present in multiple subpackages
%{_mandir}/man1/
%endif

# ----- Xvfb --------------------------------------------------------

%files Xvfb
%defattr(-,root,root,-)
%{_bindir}/Xvfb
#%dir %{_mandir}/man1x
%{_mandir}/man1/Xvfb.*
# NOTE: Xserver.1x intentionally present in multiple subpackages
%{_mandir}/man1/Xserver.*

# ----- Xephyr -------------------------------------------------------

%files Xephyr
%defattr(-,root,root,-)
%{_bindir}/Xephyr
# no manpage yet
#%dir %{_mandir}/man1x
#%{_mandir}/man1/Xephyr.1x*
# NOTE: Xserver.1x intentionally present in multiple subpackages
%{_mandir}/man1/Xserver.*

# ----- sdk ---------------------------------------------------------
%if %{with_hw_servers}
%files sdk
%defattr(-,root,root,-)
%{_libdir}/libxf86config.a
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/xorg-server.pc
%dir %{_includedir}/xorg
#%dir %{_includedir}/xorg/sdk
%{sdkdir}/*.h
%{_datadir}/aclocal/xorg-server.m4
%endif
# -------------------------------------------------------------------



%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0.0-2
- rebuilt against Mesa 7.0
* Mon Jun 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0.0-1
- Version update
* Sat Apr 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Tue Nov 14 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.1-4
- rebuilt against latest libdrm
* Thu Sep 14 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.1-3
- Fontpath updating for existing xorg.conf
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.1-2
- modified requires and obsoletes for old version
* Sun Sep 10 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.1-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.0-1
- Initial release
